<?php



$tdatauniprograms = array();
$tdatauniprograms[".searchableFields"] = array();
$tdatauniprograms[".ShortName"] = "uniprograms";
$tdatauniprograms[".OwnerID"] = "";
$tdatauniprograms[".OriginalTable"] = "uniprograms";


$defaultPages = my_json_decode( "{\"search\":\"search\"}" );

$tdatauniprograms[".pagesByType"] = my_json_decode( "{\"search\":[\"search\"]}" );
$tdatauniprograms[".pages"] = types2pages( my_json_decode( "{\"search\":[\"search\"]}" ) );
$tdatauniprograms[".defaultPages"] = $defaultPages;

//	field labels
$fieldLabelsuniprograms = array();
$fieldToolTipsuniprograms = array();
$pageTitlesuniprograms = array();
$placeHoldersuniprograms = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsuniprograms["English"] = array();
	$fieldToolTipsuniprograms["English"] = array();
	$placeHoldersuniprograms["English"] = array();
	$pageTitlesuniprograms["English"] = array();
	$fieldLabelsuniprograms["English"]["University_Name"] = "University Name";
	$fieldToolTipsuniprograms["English"]["University_Name"] = "";
	$placeHoldersuniprograms["English"]["University_Name"] = "";
	$fieldLabelsuniprograms["English"]["University_Program_Name"] = "University Program Name";
	$fieldToolTipsuniprograms["English"]["University_Program_Name"] = "";
	$placeHoldersuniprograms["English"]["University_Program_Name"] = "";
	$fieldLabelsuniprograms["English"]["Universtiy_Program_Code"] = "Universtiy Program Code";
	$fieldToolTipsuniprograms["English"]["Universtiy_Program_Code"] = "";
	$placeHoldersuniprograms["English"]["Universtiy_Program_Code"] = "";
	$fieldLabelsuniprograms["English"]["Description"] = "Description";
	$fieldToolTipsuniprograms["English"]["Description"] = "";
	$placeHoldersuniprograms["English"]["Description"] = "";
	$fieldLabelsuniprograms["English"]["School"] = "School";
	$fieldToolTipsuniprograms["English"]["School"] = "";
	$placeHoldersuniprograms["English"]["School"] = "";
	if (count($fieldToolTipsuniprograms["English"]))
		$tdatauniprograms[".isUseToolTips"] = true;
}


	$tdatauniprograms[".NCSearch"] = true;



$tdatauniprograms[".shortTableName"] = "uniprograms";
$tdatauniprograms[".nSecOptions"] = 0;

$tdatauniprograms[".mainTableOwnerID"] = "";
$tdatauniprograms[".entityType"] = 0;

$tdatauniprograms[".strOriginalTableName"] = "uniprograms";

	



$tdatauniprograms[".showAddInPopup"] = false;

$tdatauniprograms[".showEditInPopup"] = false;

$tdatauniprograms[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatauniprograms[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatauniprograms[".listAjax"] = false;
//	temporary
$tdatauniprograms[".listAjax"] = false;

	$tdatauniprograms[".audit"] = false;

	$tdatauniprograms[".locking"] = false;


$pages = $tdatauniprograms[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatauniprograms[".edit"] = true;
	$tdatauniprograms[".afterEditAction"] = 1;
	$tdatauniprograms[".closePopupAfterEdit"] = 1;
	$tdatauniprograms[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatauniprograms[".add"] = true;
$tdatauniprograms[".afterAddAction"] = 1;
$tdatauniprograms[".closePopupAfterAdd"] = 1;
$tdatauniprograms[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatauniprograms[".list"] = true;
}

$tdatauniprograms[".updateSelected"] = true;


$tdatauniprograms[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatauniprograms[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatauniprograms[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatauniprograms[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatauniprograms[".printFriendly"] = true;
}



$tdatauniprograms[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatauniprograms[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatauniprograms[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatauniprograms[".isUseAjaxSuggest"] = true;

$tdatauniprograms[".rowHighlite"] = true;



						

$tdatauniprograms[".ajaxCodeSnippetAdded"] = false;

$tdatauniprograms[".buttonsAdded"] = false;

$tdatauniprograms[".addPageEvents"] = false;

// use timepicker for search panel
$tdatauniprograms[".isUseTimeForSearch"] = false;




$tdatauniprograms[".allSearchFields"] = array();
$tdatauniprograms[".filterFields"] = array();
$tdatauniprograms[".requiredSearchFields"] = array();

$tdatauniprograms[".googleLikeFields"] = array();
$tdatauniprograms[".googleLikeFields"][] = "University Name";
$tdatauniprograms[".googleLikeFields"][] = "University Program Name";
$tdatauniprograms[".googleLikeFields"][] = "Universtiy Program Code";
$tdatauniprograms[".googleLikeFields"][] = "Description";
$tdatauniprograms[".googleLikeFields"][] = "School";



$tdatauniprograms[".tableType"] = "list";

$tdatauniprograms[".printerPageOrientation"] = 0;
$tdatauniprograms[".nPrinterPageScale"] = 100;

$tdatauniprograms[".nPrinterSplitRecords"] = 40;

$tdatauniprograms[".geocodingEnabled"] = false;










$tdatauniprograms[".pageSize"] = 20;

$tdatauniprograms[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatauniprograms[".strOrderBy"] = $tstrOrderBy;

$tdatauniprograms[".orderindexes"] = array();

$tdatauniprograms[".sqlHead"] = "SELECT `University Name`,  	`University Program Name`,  	`Universtiy Program Code`,  	Description,  	School";
$tdatauniprograms[".sqlFrom"] = "FROM uniprograms";
$tdatauniprograms[".sqlWhereExpr"] = "";
$tdatauniprograms[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatauniprograms[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatauniprograms[".arrGroupsPerPage"] = $arrGPP;

$tdatauniprograms[".highlightSearchResults"] = true;

$tableKeysuniprograms = array();
$tableKeysuniprograms[] = "University Name";
$tableKeysuniprograms[] = "University Program Name";
$tdatauniprograms[".Keys"] = $tableKeysuniprograms;


$tdatauniprograms[".hideMobileList"] = array();




//	University Name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "University Name";
	$fdata["GoodName"] = "University_Name";
	$fdata["ownerTable"] = "uniprograms";
	$fdata["Label"] = GetFieldLabel("uniprograms","University_Name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "University Name";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`University Name`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 1;
	$edata["LookupTable"] = "universitydtls";
	$edata["LookupConnId"] = "Tables";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "InstitutionName";
	$edata["LinkFieldType"] = 200;
	$edata["DisplayField"] = "InstitutionName";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
		$edata["SimpleAdd"] = true;


	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatauniprograms["University Name"] = $fdata;
		$tdatauniprograms[".searchableFields"][] = "University Name";
//	University Program Name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "University Program Name";
	$fdata["GoodName"] = "University_Program_Name";
	$fdata["ownerTable"] = "uniprograms";
	$fdata["Label"] = GetFieldLabel("uniprograms","University_Program_Name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "University Program Name";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`University Program Name`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatauniprograms["University Program Name"] = $fdata;
		$tdatauniprograms[".searchableFields"][] = "University Program Name";
//	Universtiy Program Code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Universtiy Program Code";
	$fdata["GoodName"] = "Universtiy_Program_Code";
	$fdata["ownerTable"] = "uniprograms";
	$fdata["Label"] = GetFieldLabel("uniprograms","Universtiy_Program_Code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Universtiy Program Code";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Universtiy Program Code`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatauniprograms["Universtiy Program Code"] = $fdata;
		$tdatauniprograms[".searchableFields"][] = "Universtiy Program Code";
//	Description
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Description";
	$fdata["GoodName"] = "Description";
	$fdata["ownerTable"] = "uniprograms";
	$fdata["Label"] = GetFieldLabel("uniprograms","Description");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Description";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Description";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatauniprograms["Description"] = $fdata;
		$tdatauniprograms[".searchableFields"][] = "Description";
//	School
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "School";
	$fdata["GoodName"] = "School";
	$fdata["ownerTable"] = "uniprograms";
	$fdata["Label"] = GetFieldLabel("uniprograms","School");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "School";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "School";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatauniprograms["School"] = $fdata;
		$tdatauniprograms[".searchableFields"][] = "School";


$tables_data["uniprograms"]=&$tdatauniprograms;
$field_labels["uniprograms"] = &$fieldLabelsuniprograms;
$fieldToolTips["uniprograms"] = &$fieldToolTipsuniprograms;
$placeHolders["uniprograms"] = &$placeHoldersuniprograms;
$page_titles["uniprograms"] = &$pageTitlesuniprograms;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["uniprograms"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["uniprograms"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_uniprograms()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "`University Name`,  	`University Program Name`,  	`Universtiy Program Code`,  	Description,  	School";
$proto0["m_strFrom"] = "FROM uniprograms";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "University Name",
	"m_strTable" => "uniprograms",
	"m_srcTableName" => "uniprograms"
));

$proto6["m_sql"] = "`University Name`";
$proto6["m_srcTableName"] = "uniprograms";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "University Program Name",
	"m_strTable" => "uniprograms",
	"m_srcTableName" => "uniprograms"
));

$proto8["m_sql"] = "`University Program Name`";
$proto8["m_srcTableName"] = "uniprograms";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Universtiy Program Code",
	"m_strTable" => "uniprograms",
	"m_srcTableName" => "uniprograms"
));

$proto10["m_sql"] = "`Universtiy Program Code`";
$proto10["m_srcTableName"] = "uniprograms";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Description",
	"m_strTable" => "uniprograms",
	"m_srcTableName" => "uniprograms"
));

$proto12["m_sql"] = "Description";
$proto12["m_srcTableName"] = "uniprograms";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "School",
	"m_strTable" => "uniprograms",
	"m_srcTableName" => "uniprograms"
));

$proto14["m_sql"] = "School";
$proto14["m_srcTableName"] = "uniprograms";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "uniprograms";
$proto17["m_srcTableName"] = "uniprograms";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "University Name";
$proto17["m_columns"][] = "University Program Name";
$proto17["m_columns"][] = "Universtiy Program Code";
$proto17["m_columns"][] = "Description";
$proto17["m_columns"][] = "School";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "uniprograms";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "uniprograms";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="uniprograms";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_uniprograms = createSqlQuery_uniprograms();


	
		;

					

$tdatauniprograms[".sqlquery"] = $queryData_uniprograms;

$tableEvents["uniprograms"] = new eventsBase;
$tdatauniprograms[".hasEvents"] = false;

?>